// Physical Variables
const double C    = 299792458.0E-9;// speed of light [m/ns]
const double Mn   = 939.565378E6;// neutron mass [eV/c2]

// Binning
const int N_BPDEC = 2000;// bins per decade

// Energy range
const int E_MIN	= -3;// lower energy limit (log10)
const int E_MAX	= 8;// upper energy limit (log10)

// cut off
const int  t_relcut = 4115;// [ns](~ 100keV) Relativistic cutoff (classical formula below this energy)

// Geometrical Variables
const double L_geom = 19.1758;// Geometrical TOF distance [m]

// Global variables for reading lamda values
const int LBINS = 150;
int	j = 0;
double	lamd = 0.;
double	lamda[LBINS] = {0.};

// Areal densities
double mass[7] = {0, 0, 113.e-6, 101.7e-6, 114.8e-6, 122.3e-6, 93.e-6};//[g/cm^2]

// Dead Times
double DeadTime[7] = {0, 0, 180., 130., 180., 150., 200.};// [ns]

// Atomic Numbers
double atomic_num[7] = {0, 0, 238.05078826, 240.053813, 240.053813, 240.053813, 235.043939131};

// Miscellaneous
double  avogadro_number = 6.022e23;
