#include "TSystem.h"
#include "TROOT.h"
#include "TH1.h"
#include "TH1F.h"
#include "TH2F.h"
#include "TFile.h"
#include "TTree.h"
#include "TBranch.h"
#include "TCanvas.h"
#include "TColor.h"
#include "Riostream.h"
#include "TLegend.h"
#include "TPad.h"
#include "TString.h"
#include "TObject.h"
#include "TProfile.h"
#include "TGraph.h"
#include "TF1.h"

// Create sets of histograms
std::vector<TH1F*> test_root(Int_t number, const char *name, Int_t nbins, Double_t bin_low, Double_t bin_high){
	std::vector<TH1F*> v;
	cout << "Creating  " << name << "    histograms..." << endl;
	for(Int_t i=1;i<=number;i++) {
		TString hname = TString::Format("h%s%d",name,i);
		TH1F *h = new TH1F(hname.Data(),hname.Data(),nbins,bin_low,bin_high);
		v.push_back(h);
	}
	return v;
}
/*std::vector<TH1F*> test_root(Int_t number, const char *name, Int_t nbins, Double_t bin_low, Double_t bin_high){
string hname;
ostringstream *buffer;
TH1F *h[number];
for (int i=0; i<number; i++){
	
	buffer = new ostringstream;
	(*buffer) << i+1;
	hname = "h"+name+(*buffer).str();
        delete buffer;
	h[i]= new TH1F(hname.c_str(),hname.c_str(),nbins,bin_low,bin_high);
        //cout << name << endl;

}
return h;
}*/
